Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedInstructionRawRex_ Struct Reference

Detailed info about the REX prefix. More...

`#include <DecoderTypes.h>`

## Data Fields
ZyanU8 | W
| 64-bit operand-size promotion.
ZyanU8 | R
| Extension of the ModRM.reg field.
ZyanU8 | X
| Extension of the SIB.index field.
ZyanU8 | B
| Extension of the ModRM.rm, SIB.base, or opcode.reg field.
ZyanU8 | offset
| The offset of the effective REX byte, relative to the beginning of the instruction, in bytes.

## Detailed Description

Detailed info about the REX prefix.

## Field Documentation

## ◆ B

ZyanU8 B

Extension of the ModRM.rm, SIB.base, or opcode.reg field.

## ◆ offset

ZyanU8 offset

The offset of the effective REX byte, relative to the beginning of the instruction, in bytes.

This offset always points to the "effective" REX prefix (the one closest to the instruction opcode), if multiple REX prefixes are present.

Note that the REX byte can be the first byte of the instruction, which would lead to an offset of 0. Please refer to the instruction attributes to check for the presence of the REX prefix.

## ◆ R

ZyanU8 R

Extension of the ModRM.reg field.

## ◆ W

ZyanU8 W

64-bit operand-size promotion.

## ◆ X

ZyanU8 X

Extension of the SIB.index field.

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h